summaryrefslogtreecommitdiff
path: root/android
diff options
context:
space:
mode:
authorLisa Nguyen <lisa.nguyen@linaro.org>2015-05-26 19:18:38 -0700
committerMilosz Wasilewski <milosz.wasilewski@linaro.org>2015-05-27 12:24:17 +0000
commit9a8031b71908e6cdf4069ae884be91b13e7a4430 (patch)
tree5b2bcf19e3549d520532ccd42133a6a82a7e2d98 /android
parent310d238cacfafd9218b5f11752a74f1463df971e (diff)
pm-qa: Move pm-qa files to Android directory
The pm-qa.yaml test definition and pm-qa.sh script are used to run PM-QA on Android, but they are currently located in the commons folder. Move them to the Android folder to keep them organized. Change-Id: Ic694195c458f73b67091596f0b829a7dfb052230 Signed-off-by: Lisa Nguyen <lisa.nguyen@linaro.org>
Diffstat (limited to 'android')
-rw-r--r--android/pm-qa.yaml11
-rwxr-xr-xandroid/scripts/pm-qa.sh53
2 files changed, 64 insertions, 0 deletions
diff --git a/android/pm-qa.yaml b/android/pm-qa.yaml
new file mode 100644
index 0000000..7d5866e
--- /dev/null
+++ b/android/pm-qa.yaml
@@ -0,0 +1,11 @@
+metadata:
+ format: "Lava-Test Test Definition 1.0"
+ name: pm-qa
+ description: "pm-qa tests."
+
+run:
+ steps:
+ - './android/scripts/pm-qa.sh'
+
+parse:
+ pattern: "^(?P<test_case_id>[a-z0-9_]+):\\s+(?P<result>pass|fail|skip)"
diff --git a/android/scripts/pm-qa.sh b/android/scripts/pm-qa.sh
new file mode 100755
index 0000000..ed96a87
--- /dev/null
+++ b/android/scripts/pm-qa.sh
@@ -0,0 +1,53 @@
+#!/system/bin/sh
+
+scripts_dir="/system/bin/pm-qa"
+test_func(){
+ if [ ! -d "${scripts_dir}" ]; then
+ echo "pm-qa=fail"
+ exit
+ fi
+
+ bin_dir="/data/bin"
+
+ if [ ! -d $bin_dir ]; then
+ mkdir $bin_dir
+ fi
+
+ cd ${bin_dir}
+
+ export PATH=${bin_dir}:$PATH
+
+ cd "${scripts_dir}"
+
+ pwd_dir=$PWD
+ echo $pwd
+ tests_dirs="cpuidle cpufreq cpuhotplug cputopology thermal"
+
+ for dir in $tests_dirs; do
+ var=$dir'_sanity.sh'
+ subDir=${pwd_dir}/$dir
+ if [ -d $subDir ]; then
+ cd $subDir
+ else
+ continue
+ fi
+
+ echo `pwd`
+
+ /system/bin/sh $var
+ if [ $? -ne 1 ]; then
+ continue
+ fi
+
+ for file in `find . -name "*.sh" | sort`; do
+ path=$file
+ echo $path
+ /system/bin/sh $path
+ done
+ cd ..
+ done
+
+ echo "pm-qa=pass"
+}
+
+test_func